#!/usr/bin/python
# -*- coding: utf8 -*-

from Hiairv2 import Hiairv2
from time import sleep
from datetime import datetime, timedelta

# 連線資訊
HOST_IP = "202.39.54.130"
ACCOUNT = "your_account"
PASSWORD = "your_password"

if __name__ == "__main__":

    hiair = Hiairv2()

    # 連線並驗證帳密
    (ret_code, ret_content) = hiair.StartCon(HOST_IP, ACCOUNT, PASSWORD)
    if ret_code == 0:  # 登入成功，進行後續操作
        recv_tel = "接收門號"
        str_sms = "hiAir簡訊測試內容"
        # 傳送短簡訊
        # 如欲傳送多筆簡訊，連線成功後使用迴圈執行hiair.SendTextMessage("接收門號","hiAir簡訊內容測試")即可
        (ret_code, ret_content) = hiair.SendTextMessage(recv_tel, str_sms)

        # 查詢短簡訊
        # 如欲查詢多筆簡訊，連線成功後使用迴圈執行hiair.QueryMessage("訊息ID")即可
        # (ret_code, ret_content) = hiair.QueryMessage("A0000000000000000000")


        # 傳送長簡訊
        # 如欲傳送多筆長簡訊，連線成功後使用迴圈執行hiair.SendLongMessage("接收門號","hiAir長簡訊內容測試超過70個字")即可
        # (ret_code, ret_content) = hiair.SendLongMessage(recv_tel, str_sms)

        # 查詢長簡訊
        # 如欲查詢多筆簡訊，連線成功後使用迴圈執行hiair.QueryLongMessage("訊息ID")即可
        # (ret_code, ret_content) = hiair.QueryLongMessage("B0000000000000000000")

        if ret_code == 0:
            print("send ok, ret_code:", str(ret_code), ", ret_content:", ret_content)
        else:
            print("send Failed, ret_code:", str(ret_code), ", ret_content:", ret_content)
    else:  # 登入失敗
        print("Login Failed, ret_code:", str(ret_code), ", ret_content:", ret_content)

    # 斷線
    hiair.EndCon()

